#!/bin/bash

# haring-config.sh
# (c) 2003 Dennis Leeuw
# License GPL, see COPYING

PROC="/proc/sys"
DESCRIPTION_DIR="descriptions.d"
DESCRIPTION_DIR_SYS="$DESCRIPTION_DIR/`uname -s`"
DESCRIPTION_DIR_PROC="$DESCRIPTION_DIR_SYS/proc"

# Functions
function dir_loop () {
	# Let's look inside the dir what's there
	# And feed that to fstate to determine what to do with it
	local ONE=0
	local ALL=`echo $1/*`
	for ONE in $ALL; do
		if [ -f $ONE ]; then
			if [ ! -f $DESCRIPTION_DIR_SYS/$ONE ]; then
				echo "No file: $ONE"
			fi
		elif [ -d $ONE ]; then
			if [ ! -f $DESCRIPTION_DIR_SYS/$ONE/base.title ]; then
				echo "No title: $ONE"
			fi
			if [ ! -f $DESCRIPTION_DIR_SYS/$ONE/base.desc ]; then
				echo "No description: $ONE"
			fi
			dir_loop $ONE
		fi
	done
}

# Main

# For testing purposes to jump into a branch:
if [ "x$1" != "x" ]; then
	PROC="$PROC/$1"
fi

dir_loop $PROC
